_base=pymbolic
pkgname=python-${_base}
pkgdesc="Simple package to do symbolic math (focus on code gen and DSLs)"
pkgver=2022.1
pkgrel=1
arch=('x86_64')
url="https://documen.tician.de/${_base}"
license=(MIT)
depends=(python-pytools python-symengine python-sympy)
makedepends=(python-setuptools git)
checkdepends=(python-pytest python-pexpect maxima python-scipy) # texlive-core
source=("git+https://github.com/inducer/${_base}.git?signed#tag=v${pkgver}")
validpgpkeys=("900A958D9A0ACA58B1468F2471AA298BCA171145") # Andreas Kloeckner
sha512sums=('SKIP')

build() {
  cd "${_base}"
  python setup.py build
}

check() {
  cd "${_base}"
  USE_SYMENGINE=1 python -m pytest -k 'not sparse_multiply'
}

package() {
  cd "${_base}"
  PYTHONPYCACHEPREFIX="${PWD}/.cache/cpython/" python setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
  install -Dm 644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
}
